maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ron Wheeler <rwhee...@artifact-software.com>
Subject Re: How does maven choose which plugin version to use?
Date Sun, 03 Jul 2016 23:40:32 GMT
A quick google gets you
https://maven.apache.org/pom.html#Plugin_Management

You can add a plug-in management section to your parent pom to control 
the version used in all of your project poms.

https://maven.apache.org/guides/introduction/introduction-to-the-pom.html

Ron

On 03/07/2016 5:45 PM, Alex Ditu wrote:
> Hello,
>
> Can anyone provide some help regarding plugin versions? I want to use
> the latest version of maven-war-plugin (or at least one greater than
> 2.3); so i decided to install the latest version of maven, 3.3.9.
> But when I execute "mvn help:effective-pom" I see it still uses 2.3
> version of maven-war-plugin.
> My first question is: where does maven read wich plugin version to
> use, if I don't specify one?
> I tought it was in the super-pom, but I didn't find anything
> there...Can anyone help me understand what is happening?
>
> Alex
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
> For additional commands, e-mail: users-help@maven.apache.org
>
>


-- 
Ron Wheeler
President
Artifact Software Inc
email: rwheeler@artifact-software.com
skype: ronaldmwheeler
phone: 866-970-2435, ext 102


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message